Package: org.gradle.language.scala

## [Java] Interface ScalaPlatform

- org.gradle.platform.base.Platform

- All Superinterfaces:
    Named, Platform

  Defines and configures a Scala Platform.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getScalaCompatibilityVersion()`
    `String` | `getScalaVersion()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Platform` | `getDisplayName`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public String getScalaCompatibilityVersion()

    - #### public String getScalaVersion()